## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests from upstream yet.
%bcond_with     tests

%global         srcname     azure-multiapi-storage

Name:           python-%{srcname}
Version:        1.0.0
Release:        %autorelease
Summary:        Microsoft Azure Storage Client Library for Python with multi API version support
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

BuildRequires:  python3-devel

# Needed for import checks.
BuildRequires:  python3dist(aiohttp)

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(azure-storage-blob)
BuildRequires:  python3dist(azure-storage-common)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Storage Client Library for Python with multi API version
support}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import -e azure.multiapi.storagev2.filedatalake* -e azure.multiapi.storagev2.queue*

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Major Hayden <major@redhat.com> 1.0.0-1
- Update to 1.0.0

* Wed Sep 07 2022 Major Hayden <major@redhat.com> 0.10.0-1
- Update to 0.10.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 0.9.0-4
- Ensure aiohttp is always present for import checks

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 0.9.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 0.9.0-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> 0.9.0-1
- Update to 0.9.0

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 0.8.0-1
- Update to 0.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 09 2021 Major Hayden <major@mhtx.net> 0.7.0-1
- Update to 0.7.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 0.6.2-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 0.6.2-3
- Convert to pyproject-rpm-macros and clean up

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 0.6.2-1
- Initial import (#1971870)
